%global dict_dirname hunspell

Name: hunspell-ve
Summary: Venda hunspell dictionaries
%global upstreamid 20091030
Version: 0.%{upstreamid}
Release:    1%{?dist}
Source0: https://downloads.sourceforge.net/project/aoo-extensions/3134/0/dict-ve_za-2009.10.30.oxt
URL: https://extensions.openoffice.org/en/project/venda-spell-checker
License: LGPL-2.1-or-later
BuildArch: noarch

Requires: hunspell-filesystem
Supplements: (hunspell and langpacks-ve)

%description
Venda hunspell dictionaries.

%prep
%autosetup -c -n hunspell-ve

%build
for i in README-ve_ZA.txt release-notes-ve_ZA.txt package-description.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}/%{_datadir}/%{dict_dirname}
cp -p *.dic *.aff %{buildroot}/%{_datadir}/%{dict_dirname}


%files
%doc README-ve_ZA.txt release-notes-ve_ZA.txt package-description.txt
%{_datadir}/%{dict_dirname}/*

%changelog
* Mon Nov 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20091030-1
- initial build
